Bug 1019442 - RFE: add bcache support
Summary: RFE: add bcache support
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1003208
TreeView+ depends on / blocked
 
Reported: 2013-10-15 17:39 UTC by Rolf Fokkens
Modified: 2018-02-15 02:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rolf Fokkens 2013-10-15 17:39:09 UTC
Please add bcache support to python-blivet, so users can build storage configurations the include 'bcached block' devices.

Comment 1 Rex Dieter 2014-01-28 14:51:36 UTC
rebasing (missed f20 target)

Comment 2 Rolf Fokkens 2014-01-28 15:00:48 UTC
dm-cache was not ready for F20:

http://www.redhat.com/archives/dm-devel/2013-August/msg00138.html

But dm-cache is now progressing well:

http://www.redhat.com/archives/dm-devel/2014-January/msg00063.html

So if dm-cache is also ready for F21, we should consider:
- Are both bcache and dm-cache to be supported in Anaconda/python-blivet?
- If not, which one is the best choice?

Comment 3 Rolf Fokkens 2015-01-04 14:15:41 UTC
Given the fact that serious changes on bcache are planned, I think this change should be postponed until further notice:

http://www.spinics.net/lists/linux-bcache/msg02721.html


Note You need to log in before you can comment on or make changes to this bug.